<?php

require_once '../app/model/db.class.php';
require_once '../app/model/rangos.php';
require_once("../dompdf/dompdf_config.inc.php");

function truncateFloat($number, $digitos)
{
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}

      $obj = new database();
      
      
      $sede = '*';
      $jornada='*';
      $periodo =$_REQUEST['periodo'];      
      $puestos ='1';
      $grado_inicial = '0';
      $grado_final = '11';
      
      $obj->conectar(); $obj->consulta("set names 'utf8'");
      

      $info_col=$obj->consulta("select * from registrar;");
      $arr_col=$obj->fetch_assoc($info_col);
      
      
      $s="<html><head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'><meta http-equiv='Content-Type' content='text/html; charset=UTF-8'><title>MEJORES PROMEDIOS</title>
           <link rel='stylesheet' type='text/css' href='../../views/default/css/estilo.css'/> </head>";
            
       $criterio_sede= "like '%'";
       $criterio_jornada= "like '%'";
      
      /*-------------------------------*/
      $grados=$obj->consulta("SELECT  * FROM grados ORDER BY orden");

       while($row_grad = $obj->fetch_assoc($grados)){
      
              $cursos=$obj->consulta("SELECT  * from cursos where grado='".$row_grad['codigo']."' order by cursos.orden");

              $s.="<center><table align='center' border='0' cellspacing='0' cellpadding='0' width='95%'>";
              $s.="<tr>";

              while($row_cur = $obj->fetch_assoc($cursos)){

                  $resultado=$obj->consulta("select * from rendimiento_general where grado='".$row_cur['grado']."' and curso='".$row_cur['codigo']."' and periodo='".$periodo."' order by promedio desc limit ".$puestos);
                  $row = $obj->fetch_assoc($resultado);

                  $s.="<td align='center'><br><br><br><br><br><br><br><br><br><br><br>";
                  $s.="<CENTER><b>".$row_cur['descripcion']."</b></CENTER><br>";
                  
                  if ($row_cur['grado']==0){
                      $s.="<img src='../fotos/".$row['alumno'].".jpg'  height='250' width='200'><br><br><br>";
                  }
                  else{
                      $s.="<img src='../fotos/".$row['alumno'].".jpg'  height='300' width='250'><br><br><br>";
                  }

                  $s.=$row['nombres']."<br>";
                  $s.="PROMEDIO   :  ".truncateFloat($row['promedio'],3)." - (".$row['nivel_desempeno'].")";
                  $s.="</td>";

              }  // while de los cursos

              $s.="</tr>";
              $s.="</table></center><br>";
       }

      $s.="</body></html>";


      $obj->disconnect();
      
       
    $dompdf = new DOMPDF();     
    $dompdf->load_html($s);
    $dompdf->set_paper('a4', 'landscape');
    $dompdf->render();

    $dompdf->stream("cuadro_honor.pdf", array("Attachment" => false));
    
   
?>
